Main Page Widgets Namespaces Book

# Gdk::PixbufError Class Reference

Inheritance diagram for Gdk::PixbufError:

[legend]
List of all members.

## Detailed Description

Exception class for Gdk::Pixbuf errors.

## Public Types
enum | Code { CORRUPT_IMAGE, INSUFFICIENT_MEMORY, BAD_OPTION, UNKNOWN_TYPE, UNSUPPORTED_OPERATION, FAILED }
## Public Member Functions
Code | code () const
| PixbufError (GError* gobject)
| PixbufError (Code error_code, const Glib::ustring& error_message)

## Member Enumeration Documentation

enum Gdk::PixbufError::Code

  | Enumeration values:
  CORRUPT_IMAGE |
  INSUFFICIENT_MEMORY |
  BAD_OPTION |
  UNKNOWN_TYPE |
  UNSUPPORTED_OPERATION |
  FAILED |

## Constructor & Destructor Documentation

Gdk::PixbufError::PixbufError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |

Gdk::PixbufError::PixbufError | ( | GError* | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gdk::PixbufError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- pixbuf.h